IF OBJECT_ID('dbo.sp_fco_alta_autorizaciones') IS NOT NULL
    DROP PROCEDURE dbo.sp_fco_alta_autorizaciones
GO
CREATE PROCEDURE dbo.sp_fco_alta_autorizaciones
(
  @pch_compania char(4),
  @pch_sucursal char(10),
  @pvc_numero varchar(15),
  @pch_tipo_incapacidad char(1),
  @pch_tipo_entidad char(1),
  @pch_cod_entidad char(10),
  @pdt_fecha smalldatetime,
  @pch_periodo char(6),
  @pin_ausentismo int,
  @pch_descontar_ala char(1),
  @pdc_valor_total decimal(13,2)
)
AS
BEGIN
    DECLARE @vdc_autorizacion decimal(10) ---consecutivo

	SET @vdc_autorizacion = 0;

	SELECT @vdc_autorizacion = ISNULL(Max(autorizacion),0) + 1
	FROM fco_autorizaciones
	WHERE compania = @pch_compania

	INSERT INTO fco_autorizaciones 
    (compania, sucursal, autorizacion, numero, tipo_incapacidad, tipo_entidad, 
     cod_entidad, fecha, periodo, ausentismo, descontar_ala, valor_total)
    SELECT
    @pch_compania, @pch_sucursal, @vdc_autorizacion, @pvc_numero, @pch_tipo_incapacidad, @pch_tipo_entidad,
    @pch_cod_entidad, @pdt_fecha, @pch_periodo, @pin_ausentismo, @pch_descontar_ala, @pdc_valor_total
END
GO
GRANT EXECUTE ON sp_fco_alta_autorizaciones TO PUBLIC
GO


